kind: Job
apiVersion: batch/v1
metadata:
  resourceVersion: '34240'
  name: b491fd2a91b900a7aa900b4bc4a6964f6e6c33ea264892e3d2382a7191bb26e
  uid: 2af1f6db-ac24-428c-9c4a-fa1f2cf41a88
  creationTimestamp: '2022-05-29T21:00:04Z'
  generation: 1
  managedFields:
    - manager: Go-http-client
      operation: Update
      apiVersion: batch/v1
      time: '2022-05-29T21:00:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:ownerReferences':
            .: {}
            'k:{"uid":"9709aaa4-e5fc-481f-9d24-b2706de29007"}': {}
        'f:spec':
          'f:activeDeadlineSeconds': {}
          'f:backoffLimit': {}
          'f:completionMode': {}
          'f:completions': {}
          'f:parallelism': {}
          'f:suspend': {}
          'f:template':
            'f:metadata':
              'f:name': {}
            'f:spec':
              'f:containers':
                'k:{"name":"extract"}':
                  'f:image': {}
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/bundle"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:command': {}
                  'f:env':
                    .: {}
                    'k:{"name":"CONTAINER_IMAGE"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:initContainers':
                .: {}
                'k:{"name":"pull"}':
                  'f:image': {}
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/bundle"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                    'k:{"mountPath":"/util"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:command': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:name': {}
                'k:{"name":"util"}':
                  'f:image': {}
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/util"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:command': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:name': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:securityContext': {}
              'f:terminationGracePeriodSeconds': {}
              'f:volumes':
                .: {}
                'k:{"name":"bundle"}':
                  .: {}
                  'f:emptyDir': {}
                  'f:name': {}
                'k:{"name":"util"}':
                  .: {}
                  'f:emptyDir': {}
                  'f:name': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: batch/v1
      time: '2022-05-29T21:10:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
          'f:failed': {}
          'f:startTime': {}
      subresource: status
  namespace: openshift-marketplace
  ownerReferences:
    - apiVersion: v1
      kind: ConfigMap
      name: b491fd2a91b900a7aa900b4bc4a6964f6e6c33ea264892e3d2382a7191bb26e
      uid: 9709aaa4-e5fc-481f-9d24-b2706de29007
      controller: false
      blockOwnerDeletion: false
  labels:
    controller-uid: 2af1f6db-ac24-428c-9c4a-fa1f2cf41a88
    job-name: b491fd2a91b900a7aa900b4bc4a6964f6e6c33ea264892e3d2382a7191bb26e
spec:
  parallelism: 1
  completions: 1
  activeDeadlineSeconds: 600
  backoffLimit: 3
  selector:
    matchLabels:
      controller-uid: 2af1f6db-ac24-428c-9c4a-fa1f2cf41a88
  template:
    metadata:
      name: b491fd2a91b900a7aa900b4bc4a6964f6e6c33ea264892e3d2382a7191bb26e
      creationTimestamp: null
      labels:
        controller-uid: 2af1f6db-ac24-428c-9c4a-fa1f2cf41a88
        job-name: b491fd2a91b900a7aa900b4bc4a6964f6e6c33ea264892e3d2382a7191bb26e
    spec:
      volumes:
        - name: bundle
          emptyDir: {}
        - name: util
          emptyDir: {}
      initContainers:
        - name: util
          image: >-
            quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7c2cffad3c1a4da5fa23aeeccfa9599bbe876d743073f0e3dad957ee320e901b
          command:
            - /bin/cp
            - '-Rv'
            - /bin/cpb
            - /util/cpb
          resources:
            requests:
              cpu: 10m
              memory: 50Mi
          volumeMounts:
            - name: util
              mountPath: /util
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
        - name: pull
          image: >-
            registry-proxy.engineering.redhat.com/rh-osbs/devspaces-operator-bundle@sha256:b686a383f5b0f5e33567e5154ef55a91f5b24d8183f1f6b2de17f770473a90fd
          command:
            - /util/cpb
            - /bundle
          resources:
            requests:
              cpu: 10m
              memory: 50Mi
          volumeMounts:
            - name: bundle
              mountPath: /bundle
            - name: util
              mountPath: /util
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: Always
      containers:
        - resources:
            requests:
              cpu: 10m
              memory: 50Mi
          terminationMessagePath: /dev/termination-log
          name: extract
          command:
            - opm
            - alpha
            - bundle
            - extract
            - '-m'
            - /bundle/
            - '-n'
            - openshift-marketplace
            - '-c'
            - b491fd2a91b900a7aa900b4bc4a6964f6e6c33ea264892e3d2382a7191bb26e
            - '-z'
          env:
            - name: CONTAINER_IMAGE
              value: >-
                registry-proxy.engineering.redhat.com/rh-osbs/devspaces-operator-bundle@sha256:b686a383f5b0f5e33567e5154ef55a91f5b24d8183f1f6b2de17f770473a90fd
          imagePullPolicy: IfNotPresent
          volumeMounts:
            - name: bundle
              mountPath: /bundle
          terminationMessagePolicy: File
          image: >-
            quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:439959bf7e5d5d92c2a606dea7124d2b05d3f6643fdf3f81be63e2407b99fac3
      restartPolicy: Never
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  completionMode: NonIndexed
  suspend: false
status:
  conditions:
    - type: Failed
      status: 'True'
      lastProbeTime: '2022-05-29T21:10:04Z'
      lastTransitionTime: '2022-05-29T21:10:04Z'
      reason: DeadlineExceeded
      message: Job was active longer than specified deadline
  startTime: '2022-05-29T21:00:04Z'
  failed: 1
